<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * 二手房后台系统共用函数文件
 *
 * @package     CodeIgniter
 * @subpackage  Helpers
 * @category    Helpers
 * @author      HOUSE365 ESF Dev Team
 * @link        http://nj.sell.house365.com/
 */


/**
 * 截取指点长度的中文字符
 * @param   string  $str_cut 所要截取的字符
 * @param   int     $start  开始字符
 * @param   int     $p  是否加省略点
 * @return  stirng  截取后的字符串
 * @update    2014/05/30 xz
 */
if( !function_exists('csubstr') )
{
    function csubstr( $str_cut , $length = 30 , $p = 0 )
    {
        if (strlen($str_cut) > $length)
        {
            for( $i = 0; $i < $length; $i++ )
            {
                if ( ord( $str_cut[$i] ) > 128 )
                {
                    $i ++ ;
                }

                $str_cut = substr( $str_cut , 0 , $i );

                if( $p == 1 )
                {
                    $str_cut .=  "...";
                }
            }
        }

        return $str_cut;
    }
}


/**
 * 去除小数点后的0
 * @param   float  $d 数字参数 
 * @return  stirng  截取后的字符串
 * @update    2014/05/30 xz
 */
if( !function_exists('strip_end_0') )
{
    function strip_end_0($d)
    {
        $d = ( substr( $d , -1 ) == 0 ) ? substr($d, 0, -1) : $d;
        $d = ( substr( $d , -2 ) == ".0" ) ? substr($d, 0, -2) : $d;

        return $d;
    }
}


/**
* 缩略图地址转化成为大图地址
* @param     $filename 缩略图地址
* @return    string 大图图片地址
* @update    2012/8/29 xz
*/
if( !function_exists('pic_thumbTobig') )
{
    function pic_thumbTobig($filename)
    {
        if( !empty($filename) )
        {
            /*$tag = 'thumb/';
            
            if( stripos( $filename , $tag ) )
            {
                $filename = str_replace($tag , '' , $filename);
            }
			*/
		    $filename = get_big_pic_new($filename);
        }

        return $filename;
    }
}





/**
 * 获取大图
 * @param string  $pic_url 缩略图地址
 * @return stirng
 */
if(!function_exists('get_big_pic_new'))
{
	function get_big_pic_new($pic_url){
		if(strpos($pic_url,'thumb/')===false){	  
		   $return_url =preg_replace("/_[0-9]*x-?[0-9]*[_a-z]*\./",".",$pic_url);
		}else{
		   $return_url =    str_replace('thumb/','',$pic_url);
		}
		return $return_url;
		
	}
}


/**
* 大图地址转化成为缩略图地址
* @param     $filename 缩略图地址
* @return    string 大图图片地址
* @update    2012/8/29 xz
*/
if( !function_exists('pic_bigTothumb') )
{
    function pic_bigTothumb($filename)
    {
        if(!empty($filename))
        {
            $tag = 'thumb/';
            
            if( !stripos($filename , $tag))
            {
                $filename = substr_replace($filename , $tag , -27 , 0);
            }
        }

        return $filename;
    }
}


/**
* 函数名称：strip_end_0
*
* 函数功能：去除小数点后的0
* @param     string $str 需要处理的参数
* @return    string 去掉小数点后0的变量
* @update    2012/8/29 xz
*/
if( !function_exists('strip_end_0') )
{
    function strip_end_0($str)
    {
        $str = ( substr( $str , -1 ) == 0 ) ? substr( $str , 0 , -1 ) : $str;
        $str = ( substr( $str , -2 ) == '.0' ) ? substr( $str , 0 , -2 ) : $str;

        return $str;
    }
}
/* End of file common_string_helper.php */
/* Location: ./applications/helpers/common_string_helper.php */